package com.saye.hrs.service.impl;

import com.saye.hrs.mapper.IssueMapper;
import com.saye.hrs.service.IssueService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

/**
 * @description: 问题接口实现类
 * @author: Mr.zs
 * @create: 2024-04-10 13:00
 **/
@Service
public class IssueServiceImpl implements IssueService {


    @Resource
    IssueMapper issueMapper;

    @Override
    public List<HashMap<Object, Object>> findAllQuestions(HashMap<Object, Object> map) {
        return issueMapper.findAllQuestions(map);
    }

    @Override
    public void addQuestions(HashMap<Object, Object> map) {
        issueMapper.addQuestions(map);
    }

    @Override
    public void delQuestions(HashMap<Object, Object> map) {
        issueMapper.delQuestions(map);
    }

    @Override
    public void modifyQuestions(HashMap<Object, Object> map) {
        issueMapper.modifyQuestions(map);
    }


}
